#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("ganmnhat.inp");
    long int n,m;
    fi>>n>>m;
    long int a[n];
    for(long int i=0;i<n;i++)
    {
        fi>>a[i];
    }
    fi.close();
    ofstream fo("ganmnhat.out");
    long int b;
    long int k=a[0];
    long int h;
    b=abs(m-a[0]);
    for(long int i=1;i<n;i++)
    {
        h=abs(m-a[i]);
        if(b>h)
        {
            b=h;k=a[i];
        }
        if(b==h)
        {
            if (a[i]<k)
            {
                k=a[i];
            }
        }
        if(h==0)
        {
            k=a[i];
            break;
        }
    }
    fo<<k;
}
